Subject: bug#1116: Emacs hangs when executing Info-final-node

From: martin rudalics <[email-masked]>
Date: Wed, 08 Oct 2008 20:03:05 +0200

> I don't mean to butt in here, but I suspect this is due to bug #1117 (probably =
 > #876). Are there extra ^M at the line ends of the Index page (which is the last
 > node)?

Have you looked at the original report?  It says

    I' running GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600) of 2008-09-07 on SOFT-MJASON

 > I have bug #1117 in my latest CVS version, and debugging Info-final-node shows
 > exactly that. The code gets here, and it just loops because "Top^M" is not
 > string-equal to "Top".
[...]
 > It was looking at Martin's patch that made me think of this - the code is
 > similar to my code that made me discover bug #1117 - same comparison of "Top^M"
 > with "Top", but in my case (isearch) an error was raised instead of an infinite
 > loop.

You can't test this with current CVS on Windows - the ^Ms get in your
way thus hiding the original bug.

martin